Issue 114386

Summary: Squares of slides in "handout" view is in incorrect place in RTL UI
Product: Impress Reporter: netanel
Component: uiAssignee: AOO issues mailing list <issues>
Status: CLOSED FIXED QA Contact:
Severity: Trivial    
Priority: P3 CC: aubrey.alford, elish, issues, kaplanlior, robert.bergqvist
Version: OOO330m2   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 114236    
Attachments:
Description Flags
Screenshot of the issue
none
Presentation file which shows the alignment problem.
none
Screenshot of landscape and portrait problem
none
Screenshot of handout view none

Description netanel 2010-09-07 18:25:32 UTC
In OpenOffice Impress - "handout" view, the squares of the slides are in
incorrect place, it looks like they were 'pushed' left, so the left group of the
slides are a little out of the page border, and there is more space then needed
between the right group of the slides and the right border of the page.

The squares of the slides should be put a little right than they are.
Comment 1 netanel 2010-09-07 18:26:03 UTC
Created attachment 71604 [details]
Screenshot of the issue
Comment 2 netanel 2010-09-07 18:27:07 UTC
Ofcurse the issue is only for RTL UI.
Comment 3 Aubrey Alford 2012-11-04 04:30:46 UTC
Platform/Build
Windows 7 Home Premium - Service Pack 1 (64-bit)
AOO350m1(Build:9611) - Rev. 1400866 - English

I am able to reproduce this problem. As far as I have been able to tell, this does not happen just by using the Arabic installation set, nor by setting individual paragraphs to display right-to-left; it’s a matter of changing the localization settings on the English installation set, and creating a new document.

Here are my steps:
1. Launch Impress
2. From the menu, select Tools > Options
3. From the navigation tree, select Language Settings > Languages
4. Choose “Hebrew” from the Locale Setting drop-down (UI selection can remain Default)
5. Create a new presentation (this problem does not occur on the same file, even  when it is saved and re-opened)
6. Click the “Handout” tab above the slide
7. Observe that the slide outlines are misaligned, and some display outside the page boundaries
Comment 4 Robert Bergqvist 2013-06-15 08:26:10 UTC
Robert Bergqvist 2013-06-15

Windows 7 Professional
Service Pack 1, 64-bit
OO 3.4.1, English and Swedish versions

I could replicate the bug on the English and Swedish version of OpenOffice 3.4.1, by following the steps Aubrey described.

But, opposite of what is described in step 5, I could open a saved file and see the problem:

1. I installed the english version of OO
2. I double-clicked on the attached file "Replication.odp".
	
Observation:
Presentation was opened with Handout tab selected and the slides misaligned.
The locale language setting was English (USA) (Tools -> Options -> Languages -> Locale setting)

I tried the replication steps with some other languages

Japanese (LTR UI): No replication
Back to Hebrew (RTL UI): Replicated
Arabic (Saudi Arabia) (RTL UI) Replicated
	 
By changing the Page format (Format -> Page) and switching between portrait and landscape, it seems to increase the misalignment, see attachment "Switching_portrait_landscape.png".
Comment 5 Robert Bergqvist 2013-06-15 08:27:24 UTC
Created attachment 80859 [details]
Presentation file which shows the alignment problem.
Comment 6 Robert Bergqvist 2013-06-15 08:29:36 UTC
Created attachment 80860 [details]
Screenshot of landscape and portrait problem
Comment 7 kaplanlior 2013-06-15 20:09:09 UTC
This issue has been fixed in LibreOffice, the patch is very trivial: http://cgit.freedesktop.org/libreoffice/core/commit/?id=12de9b3361236e1d6c931409cf0ad0d4f9924008
Comment 8 Edwin Sharp 2014-04-27 19:40:20 UTC
Seems OK with
AOO410m18(Build:9764)  -  Rev. 1589052
2014-04-22 12:11 - Linux x86_64
Debian
Comment 9 Edwin Sharp 2014-04-27 19:42:49 UTC
Created attachment 83282 [details]
Screenshot of handout view